<template>
  <base-material-card
    v-bind="$attrs"
    v-on="$listeners"
    
    
  >
  <div>
      <!-- <a 
      class="v-btn v-btn--contained"
      href="https://docs.google.com/spreadsheets/d/1-axypM8e0DyjNAJCFySpvmxUJNleR4grwy3EjlkRM3A/edit#gid=1215240065">BÁN SỈ</a> -->
      <v-btn
        color="purple"
        @click="gotoSheet('1-axypM8e0DyjNAJCFySpvmxUJNleR4grwy3EjlkRM3A', '1215240065')"
      >
        BÁN SỈ
      </v-btn>
      <v-btn
        color="primary"
        @click="gotoSheet('1-axypM8e0DyjNAJCFySpvmxUJNleR4grwy3EjlkRM3A', '398672537')"
      >
        NEW_BAN_HANG_ANH_ME
      </v-btn>

      <v-btn
        color="error"
        @click="gotoSheet('1-axypM8e0DyjNAJCFySpvmxUJNleR4grwy3EjlkRM3A', '1725346214')"
      >
        BAN_HANG_TET
      </v-btn>
    
    </div>
    
    <slot
      slot="reveal-actions"
      name="reveal-actions"
    />

    <slot />

    <slot
      slot="actions"
      name="actions"
    />
  </base-material-card>
</template>

<script>
  export default {
    name: 'MaterialChartNewCard',

    inheritAttrs: false,

    props: {
      data: {
        type: Object,
        default: () => ({}),
      },
      eventHandlers: {
        type: Array,
        default: () => ([]),
      },
      options: {
        type: Object,
        default: () => ({}),
      },
      series: {
         type: Array,
          default: () => ([]),
      },
      height: {
         type: String,
          default: "450",
      },
      
      ratio: {
        type: String,
        default: undefined,
      },
      responsiveOptions: {
        type: Array,
        default: () => ([]),
      },
      type: {
        type: String,
        default: "bar",
      },
    },
    methods: {
      gotoSheet(spreadsheetID, sheetID) {
        var linkSheet = `https://docs.google.com/spreadsheets/d/${spreadsheetID}/edit#gid=${sheetID}`;
         window.open(linkSheet, '_blank');
      },
    }
  }
</script>

<style lang="sass">
  .v-card--material-chart
    p
      color: #999

    .v-card--material__heading
      max-height: 185px

      .ct-label
        color: inherit
        opacity: .7
        font-size: 0.975rem
        font-weight: 100

      .ct-grid
        stroke: rgba(255, 255, 255, 0.2)

      .ct-series-a .ct-point,
      .ct-series-a .ct-line,
      .ct-series-a .ct-bar,
      .ct-series-a .ct-slice-donut
          stroke: rgba(255,255,255,.8)

      .ct-series-a .ct-slice-pie,
      .ct-series-a .ct-area
          fill: rgba(255,255,255,.4)
</style>
